Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoAnnotation Class Reference
[Nodes]

`#include <Inventor/nodes/SoAnnotation.h>`

Inheritance diagram for SoAnnotation:

List of all members.

## Detailed Description

The SoAnnotation node draws all its child geometry on top of other geometry.

This group-type node uses delayed rendering in combination with Z-buffer disabling to let it's children transparently render their geometry on top of the other geometry in the scene.

Since the Z-buffer needs to be disabled, the childrens' geometry will not be rendered back-to-front sorted, but rather in the order they are present in the scenegraph.

## Public Member Functions
| SoAnnotation (void)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | GLRenderBelowPath (SoGLRenderAction *action)
virtual void | GLRenderInPath (SoGLRenderAction *action)
virtual void | GLRenderOffPath (SoGLRenderAction *action)
## Static Public Member Functions
void | initClass (void)
## Protected Member Functions
virtual | ~SoAnnotation ()

## Constructor & Destructor Documentation

SoAnnotation::SoAnnotation | ( | void |  | ) |

| Constructor.

SoAnnotation::~SoAnnotation | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoAnnotation::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoSeparator.

void SoAnnotation::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoSeparator.

void SoAnnotation::GLRenderBelowPath | ( | SoGLRenderAction * | action | ) | `[virtual]`

| SGI Open Inventor v2.1 obsoleted support for SoGLRenderAction::addMethod(). Instead, GLRender() might be called directly, and to optimize traversal, the SoSeparator node calls GLRenderBelowPath whenever the path code is BELOW_PATH or NO_PATH (path code is guaranteed not to change). To be compatible with SGI's Inventor (and thereby also TGS') we have chosen to follow their implementation in this respect. SoSeparator::GLRenderBelowPath() do not traverse its children using SoChildList::traverse(), but calls GLRenderBelowPath() directly for all its children. Reimplemented from SoSeparator.

void SoAnnotation::GLRenderInPath | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Implements the SoAction::IN_PATH traversal method for the rendering action. Reimplemented from SoSeparator.

void SoAnnotation::GLRenderOffPath | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Implements the SoAction::OFF_PATH traversal method for the rendering action. Reimplemented from SoSeparator.

The documentation for this class was generated from the following files:

- SoAnnotation.h
- SoAnnotation.cpp